---
lang: en
title: 'API docs: typeorm.typeormconnectionbooter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.typeormconnectionbooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [TypeOrmConnectionBooter](./typeorm.typeormconnectionbooter.md)

## TypeOrmConnectionBooter class

A class that extends BaseArtifactBooter to boot the TypeORM connection artifact type.

Supported phases: configure, discover, load

<b>Signature:</b>

```typescript
export declare class TypeOrmConnectionBooter extends BaseArtifactBooter 
```
<b>Extends:</b> [BaseArtifactBooter](./boot.baseartifactbooter.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, entityConfig)](./typeorm.typeormconnectionbooter._constructor_.md) |  | Constructs a new instance of the <code>TypeOrmConnectionBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./typeorm.typeormconnectionbooter.app.md) |  | [ApplicationUsingTypeOrm](./typeorm.applicationusingtypeorm.md) |  |
|  [entityConfig](./typeorm.typeormconnectionbooter.entityconfig.md) |  | [ArtifactOptions](./boot.artifactoptions.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [load()](./typeorm.typeormconnectionbooter.load.md) |  |  |


